/* Reset default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Basic styling */
body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    color: #333;
}

/* Style the header */
.header {
    background-color: #557C55;
    color: #fff;
    padding: 1rem 0;
}

/* Style the navigation */
.nav {
    display: flex;
    justify-content: space-around;
    padding: 1rem;
}

.nav-list {
    list-style: none;
    display: flex;
    justify-content: space-evenly;
    margin: 0 auto;
    font-size: 1.3rem;
}

.nav-item {
    display: inline;
    padding: 0.5rem 4rem;
}

.nav-link {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease, background-color 0.3s ease;
    position: relative;
    padding: 10px 20px; 
    border: 2px solid #fff; 
    border-radius: 0.3rem;
}

.nav-link:hover {
    color: #333; /* Change text color on hover */
    background-color: #fff; /* Change background color on hover */
}
/* Navigation End */

/* Intro Hero */
.hero {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    text-align: left;
    padding: 2rem 5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    margin: 2rem;
    border-radius: 0.5rem;
}

.hero-content {
    max-width: 60%;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 1.2rem;
}

.hero-title {
    margin-bottom: 1rem;
}

.logo-container {
    display: flex;
    justify-content: flex-end;

}

.logo {
    max-width: 50%;
    height: auto;
}

/* Intro End */


/* Feature Products */
h2 {
    text-align: center;
    padding: 2rem;
    font-size: 2.5rem;
}

.featured-product {
    background-color: #f9f9f9;
}

.featured-products {
    display: flex;
    justify-content: space-between;
    padding: 2rem;

}

.product-item {
    flex: 1;
    margin: 1rem;
    background-color: #fff;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
    text-align: center;
    padding: 2rem;
    border-radius: 0.5rem;
}

.product-image:hover {
    transform: scale(1.05);
}

.product-image {
    width: 80%;
    border-radius: 0.5rem;
    object-fit: cover;
    margin-bottom: 1rem;
    transition: transform 0.3s ease;
}



.product-title {
    color: #333;
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
}

.product-price {
    color: #666;
    font-size: 1.2rem;
}

/* Feature Product End */

.footer {
    text-align: center;
    padding: 2rem;
    background-color: #557C55;
    color: #fff;
    font-size: 1.5rem;
    width: 100%;
}



/* Tablet View */
@media (max-width: 1000px) {
    .hero {
        justify-content: flex-end;
        text-align: left;
        padding: 2rem ;
    }

    .hero-content {
        max-width: 65%;
        font-size: 1rem;
    }

    .logo-container {
        justify-content: flex-end;
        margin-bottom: 2rem;
    }

    .logo {
        max-width: 100%;
        height: auto;
        padding-left: 6rem;
    }

    h2 {
        font-size: 2rem;
        padding: 1rem;
    }

    .product-item {
        margin: 1rem 0.5rem;
    }

    .product-image {
        width: 100%;
    }

    .product-title {
        font-size: 1.2rem;
    }

    .product-price {
        font-size: 1rem;
    }
}



@media (max-width: 680px) {
    
    .hero {
        padding: 1rem;
    }

    .hero-content {
        max-width: 70%;
        font-size: 0.9rem;
    }

    .logo-container {
        justify-content: center;
    }

    .logo {
        padding-left: 0;
    }

    h2 {
        font-size: 1.8rem;
        padding: 0.5rem;
    }

    .product-item {
        margin: 0.5rem;
    }

    .product-title {
        font-size: 1rem;
    }

    .product-price {
        font-size: 0.9rem;
    }
}


@media (max-width: 600px) {

    .nav {
        flex-direction: column;
        align-items: center;
    }

    .nav-list {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 100%;
        font-size: 1.1rem;
    }

    .nav-item {
        margin: 0.5rem 0;
    }

    h2 {
        font-size: 2rem;
        padding: 1rem;
    }

    .featured-products {
        flex-direction: column;
    }

    .product-item {
        margin: 1rem 0;
    }

    .product-image {
        width: 100%;
    }

    .product-title {
        font-size: 1.2rem;
    }

    .product-price {
        font-size: 1rem;
    }


    .footer {
        font-size: 1rem;
    }

}


/* Mobile View */
@media (max-width: 425px) {
    .nav {
        padding: 0.5rem;
    }

    .hero {
        flex-direction: column;
        padding: 1rem;
    }

    .hero-content {
        justify-content: center;
        text-align: center;
        max-width: 100%;
        font-size: 0.8rem;
    }

    .logo {
        max-width: 100%;
    }

    .footer {
        font-size: 1.2rem;
        padding: 1.5rem;
    }
}